
class DIRPF2025 implements DIRPFIf {

	def static final PAIS = "pais"
	def static final OCUPACAO = "ocupacao"
	def static final NATUREZA_OCUPACAO = "naturezaOcupacao"
	def static final ESTADO = "estado"
	

	def getMapeamentoRegistros() {
		mapeamentoRegistros
	}
	
	def getMapeamentoCampos() {
		mapeamentoCampos
	}
	
	def static mapeamentoRegistros = [
		 	"16": 	[
				[campo: PAIS, inicio: 232, tamanhoCodigo: 3, tamanhoDescricao: 40, temOffset: 1],
				[campo: OCUPACAO, inicio: 381, tamanhoCodigo: 3, tamanhoDescricao: 150, temOffset: 1],
				[campo: NATUREZA_OCUPACAO, inicio: 384, tamanhoCodigo: 2, tamanhoDescricao: 130, temOffset: 1]
			], 
			"26": 	[
				[campo: PAIS, inicio: 658, tamanhoCodigo: 3, tamanhoDescricao: 40, temOffset: 1]
			],
			"27": 	[
				[campo: PAIS, inicio: 16, tamanhoCodigo: 3, tamanhoDescricao: 40, temOffset: 1]
			],
			"39": 	[
				[campo: PAIS, inicio: 180, tamanhoCodigo: 3, tamanhoDescricao: 40, temOffset: 1]
			],			 
			"54":	[
				[campo: PAIS, inicio: 14, tamanhoCodigo: 3, tamanhoDescricao: 40, temOffset: 1]
			], 
			"56":	[
				[campo: PAIS, inicio: 13, tamanhoCodigo: 3, tamanhoDescricao: 40, temOffset: 1]
			],
		   	"91":	[
		   		[campo: ESTADO, inicio: 14, tamanhoCodigo: 2, tamanhoDescricao: 30, temOffset: 1]
			],
		   	"92":	[
		   		[campo: ESTADO, inicio: 14, tamanhoCodigo: 2, tamanhoDescricao: 30, temOffset: 1]
			]
		]
		
		
	def static estados = [ 
		"AC" : "ACRE",
			"AL" : "ALAGOAS",
			"AP" : "AMAPÁ",
			"AM" : "AMAZONAS",
			"BA" : "BAHIA",
			"CE" : "CEARÁ",
			"DF" : "DISTRITO FEDERAL",
			"ES" : "ESPÍRITO SANTO",
			"GO" : "GOIÁS",
			"MA" : "MARANHÃO",
			"MT" : "MATO GROSSO",
			"MS" : "MATO GROSSO DO SUL",
			"MG" : "MINAS GERAIS",
			"PA" : "PARÁ",
			"PB" : "PARAÍBA",
			"PR" : "PARANÁ",
			"PE" : "PERNAMBUCO",
			"PI" : "PIAUI",
			"RJ" : "RIO DE JANEIRO",
			"RN" : "RIO GRANDE DO NORTE",
			"RS" : "RIO GRANDE DO SUL",
			"RO" : "RONDÔNIA",
			"RR" : "RORAIMA",
			"SC" : "SANTA CATARINA",
			"SP" : "SÃO PAULO",
			"SE" : "SERGIPE",
			"TO" : "TOCANTINS"
		]
		

	def static paises = [ 
	
"013":"AFEGANISTÃO",
			"756":"ÁFRICA DO SUL",
			"015":"ALAND, ILHAS",
			"017":"ALBÂNIA, REPÚBLICA DA",
			"023":"ALEMANHA",
			"037":"ANDORRA",
			"040":"ANGOLA",
			"041":"ANGUILLA",
			"042":"ANTÁRTICA",
			"043":"ANTIGUA E BARBUDA",
			"053":"ARÁBIA SAUDITA",
			"059":"ARGÉLIA",
			"063":"ARGENTINA",
			"064":"ARMÊNIA, REPÚBLICA DA",
			"065":"ARUBA",
			"069":"AUSTRÁLIA",
			"072":"ÁUSTRIA",
			"073":"AZERBAIJÃO, REPÚBLICA DO",
			"077":"BAHAMAS, ILHAS",
			"080":"BAHREIN, ILHAS",
			"081":"BANGLADESH",
			"083":"BARBADOS",
			"085":"BELARUS, REPÚBLICA DA",
			"087":"BÉLGICA",
			"088":"BELIZE",
			"229":"BENIN",
			"090":"BERMUDAS",
			"097":"BOLÍVIA, ESTADO PLURINACIONAL DA",
			"098":"BOSNIA-HERZEGOVINA (REPÚBLICA DA)",
			"099":"BONAIRE, SAINT EUSTATIUS E SABA",
			"101":"BOTSUANA",
			"102":"BOUVET, ILHA",
			"105":"BRASIL",
			"108":"BRUNEI",
			"111":"BULGÁRIA, REPÚBLICA DA",
			"031":"BURKINA FASO",
			"115":"BURUNDI",
			"119":"BUTÃO",
			"127":"CABO VERDE, REPÚBLICA DE",
			"137":"CAYMAN, ILHAS",
			"141":"CAMBOJA",
			"145":"CAMARÕES",
			"149":"CANADÁ",
			"153":"CAZAQUISTÃO, REPÚBLICA DO",
			"154":"CATAR",
			"788":"CHADE",
			"741":"CINGAPURA",
			"158":"CHILE",
			"160":"CHINA, REPÚBLICA POPULAR",
			"163":"CHIPRE",
			"165":"COCOS(KEELING), ILHAS",
			"169":"COLÔMBIA",
			"173":"COMORES, ILHAS",
			"177":"CONGO",
			"888":"CONGO, REPÚBLICA DEMOCRÁTICA DO",
			"183":"COOK, ILHAS",
			"187":"CORÉIA (DO NORTE), REP.POP.DEMOCRÁTICA",
			"190":"CORÉIA (DO SUL), REPÚBLICA DA",
			"193":"COSTA DO MARFIM",
			"196":"COSTA RICA",
			"198":"COVEITE",
			"511":"CHRISTMAS,ILHAS (NAVIDAD)",
			"195":"CROÁCIA, REPÚBLICA DA",
			"199":"CUBA",
			"200":"CURAÇAO",
			"232":"DINAMARCA",
			"783":"DJIBUTI",
			"235":"DOMINICA, ILHA",
			"687":"EL SALVADOR",
			"240":"EGITO",
			"239":"EQUADOR",
			"244":"EMIRADOS ÁRABES UNIDOS",
			"243":"ERITREIA",
			"245":"ESPANHA",
			"246":"ESLOVÊNIA, REPÚBLICA DA",
			"247":"ESLOVACA, REPÚBLICA",
			"249":"ESTADOS UNIDOS",
			"251":"ESTÔNIA, REPÚBLICA DA",
			"253":"ETIÓPIA",
			"255":"FALKLAND (ILHAS MALVINAS)",
			"259":"FEROE, ILHAS",
			"870":"FIJI",
			"267":"FILIPINAS",
			"271":"FINLÂNDIA",
			"161":"FORMOSA (TAIWAN)",
			"275":"FRANÇA",
			"281":"GABÃO",
			"285":"GAMBIA",
			"289":"GANA",
			"291":"GEORGIA, REPÚBLICA DA",
			"292":"GEÓRGIA DO SUL E SANDWICH DO SUL, ILHAS",
			"293":"GIBRALTAR",
			"297":"GRANADA",
			"301":"GRÉCIA",
			"305":"GROENLÂNDIA",
			"309":"GUADALUPE",
			"313":"GUAM",
			"317":"GUATEMALA",
			"321":"GUERNSEY",
			"325":"GUIANA FRANCESA",
			"329":"GUINÉ",
			"331":"GUINÉ-EQUATORIAL",
			"334":"GUINÉ-BISSAU",
			"337":"GUIANA",
			"341":"HAITI",
			"343":"HEARD E ILHAS MCDONALD, ILHA",
			"345":"HONDURAS",
			"351":"HONG KONG",
			"355":"HUNGRIA, REPÚBLICA DA",
			"357":"IEMEN",
			"361":"ÍNDIA",
			"365":"INDONÉSIA",
			"369":"IRAQUE",
			"372":"IRÃ, REPÚBLICA ISLÂMICA DO",
			"375":"IRLANDA",
			"379":"ISLÂNDIA",
			"383":"ISRAEL",
			"386":"ITÁLIA",
			"391":"JAMAICA",
			"393":"JERSEY",
			"399":"JAPÃO",
			"403":"JORDÂNIA",
			"411":"KIRIBATI",
			"420":"LAOS, REP.POP.DEMOCR.DO",
			"426":"LESOTO",
			"427":"LETÔNIA, REPÚBLICA DA",
			"431":"LÍBANO",
			"434":"LIBÉRIA",
			"438":"LÍBIA",
			"440":"LIECHTENSTEIN",
			"442":"LITUÂNIA, REPÚBLICA DA",
			"445":"LUXEMBURGO",
			"447":"MACAU",
			"449":"MACEDÔNIA, ANT.REP.IUGOSLAVA",
			"450":"MADAGASCAR",
			"455":"MALÁSIA",
			"458":"MALAVI",
			"461":"MALDIVAS",
			"464":"MALI",
			"467":"MALTA",
			"359":"MAN, ILHA DE",
			"472":"MARIANAS DO NORTE",
			"474":"MARROCOS",
			"476":"MARSHALL, ILHAS",
			"477":"MARTINICA",
			"485":"MAURÍCIO",
			"488":"MAURITÂNIA",
			"489":"MAYOTTE",
			"493":"MÉXICO",
			"093":"MIANMAR (BIRMÂNIA)",
			"499":"MICRONÉSIA",
			"494":"MOLDÁVIA, REPÚBLICA DA",
			"495":"MÔNACO",
			"497":"MONGÓLIA",
			"498":"MONTENEGRO",
			"501":"MONTSERRAT, ILHAS",
			"505":"MOÇAMBIQUE",
			"507":"NAMÍBIA",
			"508":"NAURU",
			"517":"NEPAL",
			"521":"NICARÁGUA",
			"525":"NIGER",
			"528":"NIGÉRIA",
			"531":"NIUE, ILHA",
			"535":"NORFOLK, ILHA",
			"538":"NORUEGA",
			"542":"NOVA CALEDÔNIA",
			"548":"NOVA ZELÂNDIA",
			"556":"OMÃ",
			"545":"PAPUA NOVA GUINÉ",
			"566":"PACÍFICO, ILHAS DO (POSSESSÃO DOS EUA)",
			"573":"PAÍSES BAIXOS (HOLANDA)",
			"575":"PALAU",
			"576":"PAQUISTÃO",
			"578":"PALESTINA",
			"580":"PANAMÁ",
			"586":"PARAGUAI",
			"589":"PERU",
			"593":"PITCAIRN, ILHA DE",
			"599":"POLINÉSIA FRANCESA",
			"603":"POLÔNIA, REPÚBLICA DA",
			"607":"PORTUGAL",
			"611":"PORTO RICO",
			"623":"QUÊNIA",
			"625":"QUIRGUIZ, REPÚBLICA DA",
			"628":"REINO UNIDO",
			"640":"REPÚBLICA CENTRO-AFRICANA",
			"647":"REPÚBLICA DOMINICANA",
			"660":"REUNIÃO, ILHA",
			"670":"ROMÊNIA",
			"675":"RUANDA",
			"676":"RÚSSIA, FEDERAÇÃO DA",
			"685":"SAARA OCIDENTAL",
			"677":"SALOMÃO, ILHAS",
			"690":"SAMOA",
			"691":"SAMOA AMERICANA",
			"697":"SAN MARINO",
			"698":"SÃO MARTINHO, ILHA DE (PARTE FRANCESA)",
			"710":"SANTA HELENA",
			"715":"SANTA LÚCIA",
			"693":"SÃO BARTOLOMEU",
			"695":"SÃO CRISTOVÃO E NEVES, ILHAS",
			"700":"SÃO PEDRO E MIQUELON",
			"705":"SÃO VICENTE E GRANADINAS",
			"720":"SÃO TOMÉ E PRÍNCIPE, ILHAS",
			"728":"SENEGAL",
			"731":"SEYCHELLES",
			"735":"SERRA LEOA",
			"737":"SERVIA",
			"699":"SÃO MARTINHO, ILHA DE (PARTE HOLANDESA)",
			"744":"SÍRIA, REPÚBLICA ÁRABE DA",
			"748":"SOMÁLIA",
			"750":"SRI LANKA",
			"754":"SUAZILÂNDIA",
			"755":"SVALBARD E JAN MAYEN",
			"759":"SUDÃO",
			"760":"SUDÃO SO SUL",
			"764":"SUÉCIA",
			"767":"SUÍÇA",
			"770":"SURINAME",
			"772":"TADJIQUISTÃO, REPÚBLICA DO",
			"776":"TAILÂNDIA",
			"780":"TANZANIA, REP. UNIDA DA",
			"781":"TERRAS AUSTRAIS FRANCESAS",
			"782":"TERRITÓRIO BRITÂNICO NO OCEANO ÍNDICO",
			"791":"TCHECA, REPÚBLICA",
			"795":"TIMOR LESTE",
			"800":"TOGO",
			"805":"TOQUELAU, ILHAS",
			"810":"TONGA",
			"815":"TRINIDAD E TOBAGO",
			"820":"TUNÍSIA",
			"823":"TURCAS E CAICOS, ILHAS",
			"824":"TURCOMENISTÃO, REPÚBLICA DO",
			"827":"TURQUIA",
			"828":"TUVALU",
			"831":"UCRÂNIA",
			"833":"UGANDA",
			"845":"URUGUAI",
			"847":"UZBEQUISTÃO, REPÚBLICA DO",
			"551":"VANUATU",
			"848":"VATICANO, EST. DA CIDADE DO",
			"850":"VENEZUELA",
			"858":"VIETNÃ",
			"863":"VIRGENS, ILHAS (BRITÂNICAS)",
			"866":"VIRGENS, ILHAS (E.U.A.)",
			"875":"WALLIS E FUTUNA, ILHAS",
			"890":"ZÂMBIA",
			"665":"ZIMBABUE"
]

	def static naturezasOcupacao = [ 
	
		"01":"EMPREGADO DE EMPRESA DO SETOR PRIVADO, EXCETO DE INSTITUIÇÕES FINANCEIRAS",
		"02":"EMPREGADO DE INSTITUIÇÕES FINANCEIRAS PÚBLICAS E PRIVADAS",
		"03":"EMPREGADO OU CONTRATADO DE ORGANISMO INTERNACIONAL E DE ORGANIZAÇÃO NÃO-GOVERNAMENTAL",
		"11":"PROFISSIONAL LIBERAL OU AUTÔNOMO SEM VÍNCULO DE EMPREGO",
		"12":"PROPRIETÁRIO DE EMPRESA OU DE FIRMA INDIVIDUAL OU EMPREGADOR-TITULAR",
		"13":"CAPITALISTA, QUE AUFERIU RENDIMENTOS DE CAPITAL, INCLUSIVE DE ALUGUÉIS",
		"14":"MICROEMPREENDEDOR INDIVIDUAL (MEI)",
		"21":"MEMBRO OU SERVIDOR PÚBLICO DA ADMINISTRAÇÃO DIRETA FEDERAL",
		"22":"SERVIDOR PÚBLICO DE AUTARQUIA OU FUNDAÇÃO FEDERAL",
		"23":"EMPREGADO DE EMPRESA PÚBLICA OU DE SOCIEDADE DE ECONOMIA MISTA FEDERAL, EXCETO DE INSTITUIÇÕES FINANCEIRAS",
		"31":"MEMBRO OU SERVIDOR PÚBLICO DA ADMINISTRAÇÃO DIRETA ESTADUAL E DO DISTRITO FEDERAL",
		"32":"SERVIDOR PÚBLICO DE AUTARQUIA OU FUNDAÇÃO ESTADUAL E DO DISTRITO FEDERAL",
		"33":"EMPREGADO DE EMPRESA PÚBLICA OU DE SOCIEDADE DE ECONOMIA MISTA ESTADUAL E DO DISTRITO FEDERAL, EXCETO DE INSTITUIÇÕES FINANCEIRAS",
		"41":"MEMBRO OU SERVIDOR PÚBLICO DA ADMINISTRAÇÃO DIRETA MUNICIPAL",
		"42":"SERVIDOR PÚBLICO DE AUTARQUIA OU FUNDAÇÃO MUNICIPAL",
		"43":"EMPREGADO DE EMPRESA PÚBLICA OU DE SOCIEDADE DE ECONOMIA MISTA MUNICIPAL",
		"51":"MILITAR",
		"61":"APOSENTADO, MILITAR DA RESERVA OU REFORMADO E PENSIONISTA DE PREVIDÊNCIA, EXCETO OS ABRANGIDOS PELO CÓDIGO 62",
		"62":"APOSENTADO, MILITAR REFORMADO E PENSIONISTA DE PREVIDÊNCIA OFICIAL PORTADOR DE MOLÉSTIA GRAVE",
		"71":"BENEFICIÁRIO DE PENSÃO ALIMENTÍCIA",
		"72":"BOLSISTA",
		"81":"ESPÓLIO",
		"91":"NATUREZA DA OCUPAÇÃO NÃO ESPECIFICADA ANTERIORMENTE"

]

	def static ocupacoes = [ 
	
		"101":"MEMBRO DO PODER EXECUTIVO (PRESIDENTE DA REPÚBLICA, VICE-PRESIDENTE DA REPÚBLICA, MINISTRO DE ESTADO, GOVERNADOR, VICE-GOVERNADOR, PREFEITO, VICE-PREFEITO",
		"102":"MEMBRO DO PODER JUDICIÁRIO (MINISTRO, JUIZ E DESEMBARGADOR) E DE TRIBUNAL DE CONTAS (MINISTRO E CONSELHEIRO)",
		"103":"MEMBRO DO PODER LEGISLATIVO (SENADOR, DEPUTADO FEDERAL, DEPUTADO ESTADUAL E VEREADOR)",
		"104":"MEMBRO DO MINISTÉRIO PÚBLICO (PROCURADOR E PROMOTOR)",
		"105":"DIRIGENTE SUPERIOR DA ADMINISTRAÇÃO PÚBLICA (OCUPANTE DE CARGO DE DIREÇÃO, CHEFIA, ASSESSORIA E DE NATUREZA ESPECIAL), INCLUSIVE OS DAS FUNDAÇÕES PÚBLICAS E AUTARQUIAS",
		"106":"DIPLOMATA E AFINS",
		"107":"SERVIDOR DAS CARREIRAS DO PODER LEGISLATIVO",
		"108":"SERVIDOR DAS CARREIRAS DO MINISTÉRIO PÚBLICO",
		"109":"SERVIDOR DAS CARREIRAS DO  PODER JUDICIÁRIO, OFICIAL DE JUSTIÇA, AUXILIAR, ASSISTENTE E ANALISTA JUDICIÁRIO",
		"110":"ADVOGADO DO SETOR PÚBLICO, ADVOGADO DA UNIÃO, PROCURADOR DA FAZENDA, CONSULTOR JURÍDICO, PROCURADOR DE AUTARQUIAS E FUNDAÇÕES PÚBLICAS, DEFENSOR PÚBLICO",
		"111":"SERVIDOR DAS CARREIRAS DE AUDITORIA FISCAL E DE FISCALIZAÇÃO",
		"112":"SERVIDOR DAS CARREIRAS DO BANCO CENTRAL, CVM E SUSEP",
		"113":"DELEGADO DE POLÍCIA E OUTROS SERVIDORES DAS CARREIRAS DE POLÍCIA, EXCETO MILITAR",
		"114":"SERVIDOR DAS CARREIRAS DE GESTÃO GOVERNAMENTAL, ANALISTA, GESTOR E TÉCNICO DE PLANEJAMENTO",
		"115":"SERVIDOR DAS CARREIRAS DE CIÊNCIA E TECNOLOGIA",
		"116":"SERVIDOR DAS DEMAIS CARREIRAS DA ADMINISTRAÇÃO PÚBLICA DIRETA, AUTÁRQUICA E FUNDACIONAL",
		"117":"TITULAR DE CARTÓRIO",
		"118":"DIRIGENTE OU ADMINISTRADOR DE PARTIDO POLÍTICO, ORGANIZAÇÃO PATRONAL, SINDICAL, FILANTRÓPICA E RELIGIOSA",
		"120":"DIRIGENTE, PRESIDENTE E DIRETOR DE EMPRESA INDUSTRIAL, COMERCIAL OU PRESTADORA DE SERVIÇOS",
		"121":"PRESIDENTE E DIRETOR DE EMPRESA PÚBLICA E SOCIEDADE DE ECONOMIA MISTA",
		"130":"GERENTE OU SUPERVISOR DE EMPRESA INDUSTRIAL, COMERCIAL OU PRESTADORA DE SERVIÇOS",
		"131":"GERENTE OU SUPERVISOR DE EMPRESA PÚBLICA E SOCIEDADE DE ECONOMIA MISTA",
		"140":"PRESIDENTE, DIRETOR, GERENTE E SUPERVISOR DE ORGANISMO INTERNACIONAL E DE ORGANIZAÇÃO NÃO GOVERNAMENTAL",
		"211":"MATEMÁTICO, ESTATÍSTICO, ATUÁRIO E AFINS",
		"212":"ANALISTA DE SISTEMAS, DESENVOLVEDOR DE SOFTWARE, ADMINISTRADOR DE REDES E BANCOS DE DADOS E OUTROS ESPECIALISTAS EM INFORMÁTICA (EXCETO TÉCNICO)",
		"213":"FÍSICO, QUÍMICO, METEOROLOGISTA, GEÓLOGO, OCEANÓGRAFO E AFINS",
		"214":"ENGENHEIRO, ARQUITETO E AFINS",
		"215":"PILOTO DE AERONAVES, COMANDANTE DE EMBARCAÇÕES E OFICIAIS DE MÁQUINAS",
		"221":"BIÓLOGO, BIOMÉDICO E AFINS",
		"222":"AGRÔNOMO E AFINS",
		"224":"PROFISSIONAL DA EDUCAÇÃO FÍSICA (EXCETO PROFESSOR)",
		"225":"MÉDICO",
		"226":"ODONTÓLOGO",
		"227":"ENFERMEIRO DE NÍVEL SUPERIOR, NUTRICIONISTA, FARMACÊUTICO E AFINS",
		"228":"VETERINÁRIO, PATOLOGISTA (VETERINÁRIO) E ZOOTECNISTA",
		"230":"FONOAUDIÓLOGO",
		"231":"FISIOTERAPEUTA",
		"232":"TERAPEUTA OCUPACIONAL",
		"241":"ADVOGADO",
		"250":"SOCIÓLOGO E CIENTISTA POLÍTICO",
		"251":"ANTROPÓLOGO E ARQUEÓLOGO",
		"252":"ECONOMISTA, ADMINISTRADOR, CONTADOR, AUDITOR E AFINS",
		"253":"PROFISSIONAL DE RELAÇÕES PÚBLICAS, DE MARKETING, DE PUBLICIDADE E DE COMERCIALIZAÇÃO",
		"254":"PSICANALISTA",
		"255":"PSICÓLOGO",
		"256":"GEÓGRAFO",
		"257":"HISTORIADOR",
		"258":"ASSISTENTE SOCIAL E ECONOMISTA DOMÉSTICO",
		"259":"FILÓSOFO",
		"261":"JORNALISTA E REPÓRTER",
		"263":"SACERDOTE OU MEMBRO DE ORDENS OU SEITAS RELIGIOSAS",
		"264":"TRADUTOR, INTÉRPRETE, FILÓLOGO",
		"265":"BIBLIOTECÁRIO, DOCUMENTALISTA, ARQUIVÓLOGO, MUSEÓLOGO",
		"266":"ESCRITOR, CRÍTICO, REDATOR",
		"271":"LOCUTOR, COMENTARISTA",
		"272":"ATOR, DIRETOR DE ESPETÁCULOS",
		"273":"CANTOR E COMPOSITOR",
		"274":"MÚSICO, ARRANJADOR, REGENTE DE ORQUESTRA OU CORAL",
		"275":"DESENHISTA INDUSTRIAL (DESIGNER), ESCULTOR, PINTOR ARTÍSTICO E AFINS",
		"276":"CENÓGRAFO, DECORADOR DE INTERIORES",
		"277":"EMPRESÁRIO E PRODUTOR DE ESPETÁCULOS",
		"279":"OUTROS PROFISSIONAIS DO ESPETÁCULO E DAS ARTES",
		"290":"PROFESSOR NA EDUCAÇÃO INFANTIL",
		"291":"PROFESSOR DO ENSINO FUNDAMENTAL",
		"292":"PROFESSOR DO ENSINO MÉDIO",
		"293":"PROFESSOR DO ENSINO PROFISSIONAL",
		"294":"PROFESSOR DO ENSINO SUPERIOR",
		"295":"INSTRUTOR E PROFESSOR DE ESCOLAS LIVRES",
		"296":"PEDAGOGO, ORIENTADOR EDUCACIONAL",
		"311":"TÉCNICO EM CIÊNCIAS FÍSICAS E QUÍMICAS",
		"312":"TÉCNICO EM CONSTRUÇÃO CIVIL, DE EDIFICAÇÕES E OBRAS DE INFRA-ESTRUTURA",
		"313":"TÉCNICO EM ELETRO-ELETRÔNICA E FOTÔNICA",
		"314":"TÉCNICO EM METALMECÂNICA",
		"316":"TÉCNICO EM MINERALOGIA E GEOLOGIA",
		"317":"TÉCNICO EM INFORMÁTICA",
		"318":"DESENHISTA TÉCNICO E MODELISTA",
		"319":"OUTROS TÉCNICOS DE NÍVEL MÉDIO DAS CIÊNCIAS FÍSICAS, QUÍMICAS, ENGENHARIA E AFINS",
		"320":"TÉCNICO EM BIOLOGIA",
		"321":"TÉCNICO DA PRODUÇÃO AGROPECUÁRIA",
		"322":"TÉCNICO DA CIÊNCIA DA SAÚDE HUMANA",
		"323":"TÉCNICO DA CIÊNCIA DA SAÚDE ANIMAL",
		"324":"TÉCNICO DE LABORATÓRIO, RAIOS-X E OUTROS EQUIPAMENTOS E INSTRUMENTOS DE DIAGNÓSTICO",
		"325":"TÉCNICO DE BIOQUÍMICA E DA BIOTECNOLOGIA",
		"328":"TÉCNICO DE CONSERVAÇÃO, DISSECAÇÃO E EMPALHAMENTO DE CORPOS",
		"341":"TÉCNICO EM NAVEGAÇÃO AÉREA, MARÍTIMA, FLUVIAL E METROFERROVIÁRIA",
		"342":"TÉCNICO EM TRANSPORTES (LOGÍSTICA)",
		"351":"TÉCNICO DAS CIÊNCIAS ADMINISTRATIVAS E CONTÁBEIS",
		"352":"TÉCNICO DE INSPEÇÃO, FISCALIZAÇÃO E COORDENAÇÃO ADMINISTRATIVA",
		"353":"AGENTE DE BOLSA DE VALORES, CÂMBIO E OUTROS SERVIÇOS FINANCEIROS",
		"354":"AGENTE E REPRESENTANTE COMERCIAL, CORRETOR, LEILOEIRO E AFINS",
		"355":"CORRETOR E ADMINISTRADOR DE IMÓVEIS",
		"371":"TÉCNICO DE SERVIÇOS CULTURAIS",
		"372":"CINEGRAFISTA, FOTÓGRAFO E OUTROS TÉCNICOS EM OPERAÇÃO DE MÁQUINAS DE TRATAMENTO DE DADOS",
		"373":"TÉCNICO EM OPERAÇÃO DE ESTAÇÕES DE RÁDIO E TELEVISÃO",
		"374":"TÉCNICO EM OPERAÇÃO DE APARELHOS DE SONORIZAÇÃO, CENOGRAFIA E PROJEÇÃO",
		"375":"DECORADOR E VITRINISTA",
		"376":"APRESENTADOR, ARTISTAS DE ARTES POPULARES E MODELOS",
		"377":"ATLETA, DESPORTISTA E AFINS",
		"391":"OUTROS TÉCNICOS DE NÍVEL MÉDIO",
		"410":"BANCÁRIO, ECONOMIÁRIO, ESCRITURÁRIO, SECRETÁRIO, ASSISTENTE E AUXILIAR ADMINISTRATIVO",
		"420":"TRABALHADOR DE ATENDIMENTO AO PÚBLICO, CAIXA, DESPACHANTE, RECENSEADOR E AFINS",
		"511":"COMISSÁRIO DE BORDO, GUIA DE TURISMO, AGENTE DE VIAGEM E AFINS",
		"512":"TRABALHADOR DOS SERVIÇOS DOMÉSTICOS EM GERAL",
		"513":"TRABALHADOR DOS SERVIÇOS DE HOTELARIA E ALIMENTAÇÃO",
		"514":"TRABALHADOR DOS SERVIÇOS DE ADMINISTRAÇÃO, CONSERVAÇÃO E MANUTENÇÃO DE EDIFÍCIOS",
		"515":"TRABALHADOR DOS SERVIÇOS DE SAÚDE",
		"516":"TRABALHADOR DOS SERVIÇOS DE EMBELEZAMENTO E CUIDADOS PESSOAIS",
		"517":"TRABALHADOR DOS SERVIÇOS DE PROTEÇÃO E SEGURANÇA (EXCETO MILITAR)",
		"518":"MOTORISTA E CONDUTOR DO TRANSPORTE DE PASSAGEIROS (MOTORISTA DE TAXI, ÔNIBUS, PEQUENA EMBARCAÇÃO ETC)",
		"519":"OUTROS TRABALHADORES DE SERVIÇOS DIVERSOS",
		"529":"VENDEDOR E PRESTADOR DE SERVIÇOS DO COMÉRCIO, AMBULANTE, CAIXEIRO-VIAJANTE E CAMELÔ",
		"610":"PRODUTOR NA EXPLORAÇÃO AGROPECUÁRIA",
		"620":"TRABALHADOR NA  EXPLORAÇÃO AGROPECUÁRIA",
		"630":"PESCADOR, CAÇADOR E EXTRATIVISTA FLORESTAL",
		"640":"OPERADOR DE MÁQUINA AGROPECUÁRIA E FLORESTAL",
		"710":"TRABALHADOR DA INDÚSTRIA EXTRATIVA E DA CONSTRUÇÃO CIVIL",
		"720":"TRABALHADOR DA TRANSFORMAÇÃO DE METAIS E COMPÓSITOS",
		"730":"TRABALHADOR DA FABRICAÇÃO E INSTALAÇÃO ELETRO-ELETRÔNICA",
		"740":"MONTADOR DE APARELHOS E INSTRUMENTOS DE PRECISÃO E MUSICAIS",
		"750":"JOALHEIRO, VIDREIRO, CERAMISTA E AFINS",
		"760":"TRABALHADOR DAS INDÚSTRIAS TÊXTEIS, DO CURTIMENTO, DO VESTUÁRIO E DAS ARTES GRÁFICAS",
		"770":"TRABALHADOR DAS INDÚSTRIAS DE MADEIRA E DO MOBILIÁRIO",
		"780":"CONDUTOR E OPERADOR DE ROBÔS, VEÍCULOS DE EQUIPAMENTOS DE MOVIMENTAÇÃO DE CARGA E AFINS",
		"810":"TRABALHADOR DAS INDÚSTRIAS QUÍMICA, PETROQUÍMICA, BORRACHA E PLÁSTICO E AFINS",
		"820":"TRABALHADOR DE INSTALAÇÕES SIDERÚRGICAS E DE MATERIAIS DE CONSTRUÇÃO",
		"830":"TRABALHADOR DE INSTALAÇÕES E MÁQUINAS DE FABRICAÇÃO DE CELULOSE E PAPEL",
		"840":"TRABALHADOR DA FABRICAÇÃO DE ALIMENTOS, BEBIDAS, FUMO E DE AGROINDÚSTRIAS",
		"860":"OPERADOR DE INSTALAÇÕES DE PRODUÇÃO E DISTRIBUIÇÃO DE ENERGIA",
		"870":"TRABALHADOR DE OUTRAS INSTALAÇÕES AGROINDUSTRIAIS",
		"900":"TRABALHADOR DE REPARAÇÃO E MANUTENÇÃO",
		"010":"MILITAR DA AERONÁUTICA",
		"020":"MILITAR DO EXÉRCITO",
		"030":"MILITAR DA MARINHA",  
		"040":"POLICIAL MILITAR",
		"050":"BOMBEIRO MILITAR",
		"000":"OUTRAS OCUPAÇÕES NÃO ESPECIFICADAS ANTERIORMENTE"

 ]

	def static mapeamentoCampos = [ (PAIS): paises, (OCUPACAO): ocupacoes, (NATUREZA_OCUPACAO): naturezasOcupacao, (ESTADO): estados ]
}
